Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm
Class TermConstants

    java.lang.Object
      gnu.prolog.vm.TermConstants

    public final class TermConstants

extends Object

Stores all the commonly used terms for easy access. Those terms still stored in other classes should be migrated here.

Field Summary
`static AtomTerm` | `accessAtom`
`static AtomTerm` | `atomAtom`
`static AtomTerm` | `atomicAtom`
`static AtomTerm` | `binaryStreamAtom`
`static AtomTerm` | `byteAtom`
`static AtomTerm` | `callableAtom`
`static CompoundTermTag` | `callTag`
`static AtomTerm` | `characterAtom`
`static AtomTerm` | `characterCodeAtom`
`static AtomTerm` | `characterCodeListAtom`
`static AtomTerm` | `charsAtom`
`static CompoundTermTag` | `clauseTag`
`static AtomTerm` | `closeOptionAtom`
`static AtomTerm` | `codesAtom`
`static AtomTerm` | `compoundAtom`
`static CompoundTermTag` | `conjunctionTag` tag for conjunction
`static AtomTerm` | `createAtom`
`static AtomTerm` | `cutAtom`
`static CompoundTermTag` | `directiveTag`
`static CompoundTermTag` | `disjunctionTag` tag for disjunction
`static AtomTerm` | `emptyCurlyAtom`
`static AtomTerm` | `emptyListAtom`
`static AtomTerm` | `evaluableAtom`
`static AtomTerm` | `failAtom`
`static AtomTerm` | `falseAtom`
`static AtomTerm` | `flagAtom`
`static AtomTerm` | `flagValueAtom`
`static AtomTerm` | `floatAtom`
`static AtomTerm` | `floatOverflowAtom`
`static AtomTerm` | `fxAtom`
`static AtomTerm` | `fyAtom`
`static CompoundTermTag` | `ifTag` tag for if
`static CompoundTermTag` | `ignoreOpsTag`
`static AtomTerm` | `inByteAtom`
`static AtomTerm` | `inCharacterAtom`
`static AtomTerm` | `inCharacterCodeAtom`
`static AtomTerm` | `inputAtom`
`static AtomTerm` | `integerAtom`
`static AtomTerm` | `intOverflowAtom`
`static AtomTerm` | `ioModeAtom`
`static AtomTerm` | `javaObjectAtom`
`static AtomTerm` | `listAtom`
`static CompoundTermTag` | `listTag`
`static AtomTerm` | `maxArityAtom`
`static AtomTerm` | `maxIntegerAtom`
`static AtomTerm` | `minIntegerAtom`
`static AtomTerm` | `modifyAtom`
`static AtomTerm` | `nonEmptyListAtom`
`static AtomTerm` | `notLessThanZeroAtom`
`static AtomTerm` | `numberAtom`
`static AtomTerm` | `numberExpectedAtom`
`static CompoundTermTag` | `numbervarsTag`
`static AtomTerm` | `openAtom`
`static AtomTerm` | `operatorAtom`
`static AtomTerm` | `operatorPriorityAtom`
`static AtomTerm` | `operatorSpecifierAtom`
`static AtomTerm` | `orderAtom`
`static AtomTerm` | `outputAtom`
`static AtomTerm` | `pastEndOfStreamAtom`
`static AtomTerm` | `predicateIndicatorAtom`
`static AtomTerm` | `privateProcedureAtom`
`static AtomTerm` | `procedureAtom`
`static AtomTerm` | `prologFlagAtom`
`static CompoundTermTag` | `quotedTag`
`static AtomTerm` | `readOptionAtom`
`static AtomTerm` | `repositionAtom`
`static CompoundTermTag` | `singletonsTag`
`static AtomTerm` | `sourceSinkAtom`
`static AtomTerm` | `staticProcedureAtom`
`static AtomTerm` | `streamAtom`
`static AtomTerm` | `streamOptionAtom`
`static AtomTerm` | `streamOrAliasAtom`
`static AtomTerm` | `streamPositionAtom`
`static AtomTerm` | `streamPropertyAtom`
`static AtomTerm` | `textStreamAtom`
`static AtomTerm` | `trueAtom`
`static AtomTerm` | `undefinedAtom`
`static AtomTerm` | `underflowAtom`
`static CompoundTermTag` | `unifyTag`
`static AtomTerm` | `variableAtom`
`static CompoundTermTag` | `variableNamesTag`
`static CompoundTermTag` | `variablesTag`
`static AtomTerm` | `writeOptionAtom`
`static AtomTerm` | `xfAtom`
`static AtomTerm` | `xfxAtom`
`static AtomTerm` | `xfyAtom`
`static AtomTerm` | `yfAtom`
`static AtomTerm` | `yfxAtom`
`static AtomTerm` | `zeroDivizorAtom`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### atomAtom

    public static final AtomTerm atomAtom

### atomicAtom

    public static final AtomTerm atomicAtom

### byteAtom

    public static final AtomTerm byteAtom

### callableAtom

    public static final AtomTerm callableAtom

### characterAtom

    public static final AtomTerm characterAtom

### compoundAtom

    public static final AtomTerm compoundAtom

### evaluableAtom

    public static final AtomTerm evaluableAtom

### inByteAtom

    public static final AtomTerm inByteAtom

### inCharacterAtom

    public static final AtomTerm inCharacterAtom

### integerAtom

    public static final AtomTerm integerAtom

### floatAtom

    public static final AtomTerm floatAtom

### listAtom

    public static final AtomTerm listAtom

### numberAtom

    public static final AtomTerm numberAtom

### predicateIndicatorAtom

    public static final AtomTerm predicateIndicatorAtom

### variableAtom

    public static final AtomTerm variableAtom

### characterCodeListAtom

    public static final AtomTerm characterCodeListAtom

### closeOptionAtom

    public static final AtomTerm closeOptionAtom

### flagValueAtom

    public static final AtomTerm flagValueAtom

### ioModeAtom

    public static final AtomTerm ioModeAtom

### nonEmptyListAtom

    public static final AtomTerm nonEmptyListAtom

### notLessThanZeroAtom

    public static final AtomTerm notLessThanZeroAtom

### operatorPriorityAtom

    public static final AtomTerm operatorPriorityAtom

### operatorSpecifierAtom

    public static final AtomTerm operatorSpecifierAtom

### prologFlagAtom

    public static final AtomTerm prologFlagAtom

### readOptionAtom

    public static final AtomTerm readOptionAtom

### sourceSinkAtom

    public static final AtomTerm sourceSinkAtom

### streamAtom

    public static final AtomTerm streamAtom

### streamOptionAtom

    public static final AtomTerm streamOptionAtom

### streamOrAliasAtom

    public static final AtomTerm streamOrAliasAtom

### streamPositionAtom

    public static final AtomTerm streamPositionAtom

### streamPropertyAtom

    public static final AtomTerm streamPropertyAtom

### writeOptionAtom

    public static final AtomTerm writeOptionAtom

### orderAtom

    public static final AtomTerm orderAtom

### procedureAtom

    public static final AtomTerm procedureAtom

### accessAtom

    public static final AtomTerm accessAtom

### createAtom

    public static final AtomTerm createAtom

### inputAtom

    public static final AtomTerm inputAtom

### modifyAtom

    public static final AtomTerm modifyAtom

### openAtom

    public static final AtomTerm openAtom

### outputAtom

    public static final AtomTerm outputAtom

### repositionAtom

    public static final AtomTerm repositionAtom

### binaryStreamAtom

    public static final AtomTerm binaryStreamAtom

### flagAtom

    public static final AtomTerm flagAtom

### operatorAtom

    public static final AtomTerm operatorAtom

### pastEndOfStreamAtom

    public static final AtomTerm pastEndOfStreamAtom

### privateProcedureAtom

    public static final AtomTerm privateProcedureAtom

### staticProcedureAtom

    public static final AtomTerm staticProcedureAtom

### textStreamAtom

    public static final AtomTerm textStreamAtom

### characterCodeAtom

    public static final AtomTerm characterCodeAtom

### inCharacterCodeAtom

    public static final AtomTerm inCharacterCodeAtom

### maxArityAtom

    public static final AtomTerm maxArityAtom

### maxIntegerAtom

    public static final AtomTerm maxIntegerAtom

### minIntegerAtom

    public static final AtomTerm minIntegerAtom

### numberExpectedAtom

    public static final AtomTerm numberExpectedAtom

### floatOverflowAtom

    public static final AtomTerm floatOverflowAtom

### intOverflowAtom

    public static final AtomTerm intOverflowAtom

### undefinedAtom

    public static final AtomTerm undefinedAtom

### underflowAtom

    public static final AtomTerm underflowAtom

### zeroDivizorAtom

    public static final AtomTerm zeroDivizorAtom

### trueAtom

    public static final AtomTerm trueAtom

### falseAtom

    public static final AtomTerm falseAtom

### failAtom

    public static final AtomTerm failAtom

### cutAtom

    public static final AtomTerm cutAtom

### emptyCurlyAtom

    public static final AtomTerm emptyCurlyAtom

### emptyListAtom

    public static final AtomTerm emptyListAtom

### listTag

    public static final CompoundTermTag listTag

### ifTag

    public static final CompoundTermTag ifTag

  tag for if

### disjunctionTag

    public static final CompoundTermTag disjunctionTag

  tag for disjunction

### conjunctionTag

    public static final CompoundTermTag conjunctionTag

  tag for conjunction

### clauseTag

    public static final CompoundTermTag clauseTag

### directiveTag

    public static final CompoundTermTag directiveTag

### unifyTag

    public static final CompoundTermTag unifyTag

### callTag

    public static final CompoundTermTag callTag

### xfxAtom

    public static final AtomTerm xfxAtom

### xfyAtom

    public static final AtomTerm xfyAtom

### yfxAtom

    public static final AtomTerm yfxAtom

### fxAtom

    public static final AtomTerm fxAtom

### fyAtom

    public static final AtomTerm fyAtom

### xfAtom

    public static final AtomTerm xfAtom

### yfAtom

    public static final AtomTerm yfAtom

### quotedTag

    public static final CompoundTermTag quotedTag

### ignoreOpsTag

    public static final CompoundTermTag ignoreOpsTag

### numbervarsTag

    public static final CompoundTermTag numbervarsTag

### variablesTag

    public static final CompoundTermTag variablesTag

### variableNamesTag

    public static final CompoundTermTag variableNamesTag

### singletonsTag

    public static final CompoundTermTag singletonsTag

### javaObjectAtom

    public static final AtomTerm javaObjectAtom

### charsAtom

    public static final AtomTerm charsAtom

### codesAtom

    public static final AtomTerm codesAtom

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD